import os

import testinfra.utils.ansible_runner

import warnings
warnings.filterwarnings("ignore", category=DeprecationWarning)

testinfra_hosts = testinfra.utils.ansible_runner.AnsibleRunner(
    os.environ['MOLECULE_INVENTORY_FILE']).get_hosts('all')


def test_sshd_config_file(host):
    sshd = host.file("/etc/ssh/sshd_config")

    assert sshd.exists
    assert sshd.user == "root"
    assert sshd.group == "root"
    assert sshd.mode == 0o600
